package com.huiju.foyo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.foyo.common.ResponseBean;
import com.huiju.foyo.model.SysUser;

public interface ISysUserService extends IService<SysUser> {
    /**
     * 根据用户名获取用户信息
     * @param name
     * @return
     */
    SysUser getUserByLoginName(String name);

    /**
     * 登录
     * @param jsonString
     * @return
     */
    ResponseBean login(String jsonString);

    /**
     * 修改密码
     * @param oldPass
     * @param newPass
     * @return
     */
    ResponseBean upPass(String oldPass, String newPass);
}
