package com.huiju.foyo.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.foyo.dao.TaCaseMapper;
import com.huiju.foyo.model.TaCase;
import com.huiju.foyo.service.ITaCaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 案例表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-08-21
 */
@Service
public class TaCaseServiceImpl extends ServiceImpl<TaCaseMapper, TaCase> implements ITaCaseService {
    @Autowired
    TaCaseMapper taCaseMapper;

    @Override
    public List<TaCase> getBrothers(TaCase taCase) {
        return taCaseMapper.selectBrothers(taCase.getId(), taCase.getType());
    }
}
